Mandriva Linux Security Advisory : aria2 (MDVSA-2010:106)

Medium Nessus Plugin ID 46711


The remote Mandriva Linux host is missing a security update.


A vulnerability was discovered in aria2 which allows remote attackers to create arbitrary files via directory traversal sequences in the name attribute of a file element in a metalink file (CVE-2010-1512).

This update fixes this issue.

Packages for 2009.0 are provided as of the Extended Maintenance Program. Please visit this link to learn more: 90


Update the affected aria2 package.

Plugin Details

Severity: Medium

ID: 46711

File Name: mandriva_MDVSA-2010-106.nasl

Version: $Revision: 1.10 $

Type: local

Published: 2010/05/25

Modified: 2016/05/17

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 4.3

Temporal Score: 3.7

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:P/A:N

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:aria2, cpe:/o:mandriva:linux:2009.0, cpe:/o:mandriva:linux:2009.1, cpe:/o:mandriva:linux:2010.0

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2010/05/24

Reference Information

CVE: CVE-2010-1512

BID: 40142

MDVSA: 2010:106